image: node:14.15.1

cache:
  paths:
    - node_modules/

before_script:
  - npm install

pages:
  stage: deploy
  script:
    - CI=true npm run build
    - rm -rf public
    - mv build public
  artifacts:
    paths:
      - public
  only:
    - master